ods listing;

ods html file='diff_order_before.html' style=sasweb;
proc report data=sashelp.shoes nowd 
            out=work.prodsum(keep=region product sales rpord);
  title '1 Region Summary Report';
  where region in ('Asia', 'Canada', 'Pacific');
  column region product sales sales=rpord;
  define region / group;
  define product / group ;
  define sales / sum;
  define rpord / sum 'Region Order';
run;

proc sort data=prodsum;
by region descending sales;
run;

proc report data=prodsum nowd;
  column region product sales rpord;
  define region /display;
  define product / display;
  define sales / sum;
  title '2 Usage = Display';
run;

proc report data=prodsum nowd;
  column region product sales rpord;
  define region / order order=internal;
  define product / order order=internal;
  define sales/ sum;
  title '2a Order = Internal';
  break after region / summarize;
run;

proc report data=prodsum nowd;
  column region product sales rpord;
  define region / order order=data;
  define product / order order=data;
  define sales/ sum;
  title '2b Order = Data';
  break after region / summarize;
run;

proc report data=sashelp.shoes nowd 
            out=work.ovsum(keep=product ovpord);
  title '3 Overall Summary Report';
  where region in ('Asia', 'Canada', 'Pacific');
  column product sales sales=ovpord;
  define product / group;
  define sales / sum;
  define ovpord / sum 'Overall Product Order';
run;
ods html close;
title;
footnote;
