** Again, this output will look better when the style template;
** is used for the Graph output in 9.2;

%let outpath=C:\Courses\SAS_Global_Forum_2008\complex\output;
%let htout = .;

proc sort data=complex.DistrictSales out=DistrictSales;
by year district quarter;
run;

proc report data=DistrictSales nowd 
            out=work.grafinfo(keep=year district quarter sales SalesM);
  column year district quarter sales sales=SalesM;
  define year / group;
  define district / group;
  define quarter / group;
  define sales / sum;
  define salesM / sum;
  compute SalesM;
    SalesM=    round(sales.sum/1000000,1);
  endcomp;
run;

ods listing;

proc print data=grafinfo;
title 'grafinfo';
run;

**  Make some graphs ;
** delete the previous entries to ensure that the names are what;
** you want to set in the gseg catalog and/or in the file system.;

proc greplay igout = work.gseg nofs;
  delete _all_;
run;

** Again, this output will look better in SAS 9.2 when the style;
** template is used for the graph output.;
options orientation=landscape topmargin=.1225in bottommargin=.1225in
        leftmargin=.1225in rightmargin=.1225in;
goptions reset=all dev=sasprtc ftext="Helvetica";
ods listing close;
ods pdf file="complex5d_smallmult_odslayout.pdf";
ods layout start;

ods region x=0 in y=0 in height=4 in width=5.25 in;

axis1 order=(0 to 15 by 3);

proc gchart data=grafinfo;
  where district = 'Northern';
  by district ;
  vbar quarter/sumvar=salesM group=year raxis=axis1 name='North';
  label salesM='Northern' quarter='Qtr' year='Yr';
  format quarter $qnum.;
run;
quit;


ods region x=5.25 in y=0 in height=4 in width=5.25 in;


proc gchart data=grafinfo;
  where district = 'Eastern';
  by district ;
  vbar quarter/sumvar=salesM group=year raxis=axis1 name='East';
  label salesM='Eastern' quarter='Qtr' year='Yr';
  format quarter $qnum.;
run;
quit;


ods region x=0 in y=4.0225 in height=4 in width=5.25 in;
 
proc gchart data=grafinfo;
  where district = 'Southern';
  by district ;
  vbar quarter/sumvar=salesM group=year raxis=axis1 name='South';
  label salesM='Southern' quarter='Qtr' year='Yr';
  format quarter $qnum.;
run;
quit;

ods region x=5.25 in y=4.0225 in height=4 in width=5.25 in;

proc gchart data=grafinfo;
  where district = 'Western';
  by district ;
  vbar quarter/sumvar=salesM group=year raxis=axis1 name='West';
  label salesM='Western' quarter='Qtr' year='Yr';
  format quarter $qnum.;
run;
quit;
 

ods layout end;
ods pdf close;
goptions reset=all;
ods listing;
